function ProjectInfo = importSubjectInfoFromCSV(filename,ProjectInfo)
%import subject info from external XLS sheet
if(~exist('ProjectInfo','var'))
   ProjectInfo = nbt_Info; 
end

% The following is hard to generalized without knowing the exact format for
% the CSV file. This is optimized for the format used in the HN 2014
% course.
%% Initialize variables.
delimiter = {'\t',','};
if nargin<=2
    startRow = 2;
    endRow = inf;
end

%% Format string for each line of text:
%Change this to fit the format of your file
formatSpec = '%*s%f%f%s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%*s%[^\n\r]';

%% Open the text file.
fileID = fopen(filename,'r');

%% Read columns of data according to format string.
% This call is based on the structure of the file used to generate this
% code. If an error occurs for a different file, try regenerating the code
% from the Import Tool.
dataArray = textscan(fileID, formatSpec, endRow(1)-startRow(1)+1, 'Delimiter', delimiter, 'HeaderLines', startRow(1)-1, 'ReturnOnError', false);
for block=2:length(startRow)
    frewind(fileID);
    dataArrayBlock = textscan(fileID, formatSpec, endRow(block)-startRow(block)+1, 'Delimiter', delimiter, 'HeaderLines', startRow(block)-1, 'ReturnOnError', false);
    for col=1:length(dataArray)
        dataArray{col} = [dataArray{col};dataArrayBlock{col}];
    end
end

%% Close the text file.
fclose(fileID);


%% Allocate imported array to column variable names
SubjectID = dataArray{:, 1};
Age = dataArray{:, 2};
Handedness = dataArray{:, 3};

%Create SubjectInfo objects and populate them, add to ProjectInfo
for SID = 1:length(SubjectID)
    ProjectInfo.Info.SubjectInfo(SID) = nbt_Info;
    ProjectInfo.Info.SubjectInfo(SID).subjectID = SubjectID(SID);
    ProjectInfo.Info.SubjectInfo(SID).subject_age = Age(SID);
    ProjectInfo.Info.SubjectInfo(SID).subject_handedness = Handedness(SID);
end
end