function obj = make_source_surface(obj, depth)
% MAKE_SOURCE_SURFACE - Creates source dipoles on brain surface

if nargin < 2 || isempty(depth), depth = 3.5+2.5; end

obj.SourceSpace.pnt = [];
obj.SourceSpace.tri = [];
obj.SourceSpace.depth = [];
obj.SourceSpace.pnt_surf_idx = [];
obj.SourceSpace.tri_surf_idx = [];
for i = 1:numel(depth),
    [thisLayer, thisTri] = source_layer(obj, depth(i));
    obj.SourceSpace.pnt   = [...
        obj.SourceSpace.pnt; ...
        thisLayer, ...
        ];
    obj.SourceSpace.depth = [...
        obj.SourceSpace.depth; ...
        repmat(depth(i), size(thisLayer, 1), 1) ...
        ];
    obj.SourceSpace.pnt_surf_idx = [...
        obj.SourceSpace.pnt_surf_idx; ...
        repmat(i, size(thisLayer, 1), 1) ...
        ];
    obj.SourceSpace.tri = [...
        obj.SourceSpace.tri; ...
        thisTri ...
        ];
    obj.SourceSpace.tri_surf_idx = [...
        obj.SourceSpace.tri_surf_idx; ...
        repmat(i, size(thisTri, 1), 1) ...
        ];
end


end