function obj = detrend_lasip(varargin)
% DETREND_LASIP - Detrend M/EEG data using a LASIP filter

myFilter = filter.lasip('GetNoise', true, 'Decimation', 20);

mySel1 = pset.selector.sensor_class('Class', {'EEG', 'MEG'});
mySel2 = pset.selector.good_data;

obj = meegpipe.node.filter.new(...
    'DataSelector',     pset.selector.cascade(mySel1, mySel2), ...
    'Filter',           myFilter, ...
    'EpochDurReport',   Inf, ...
    'NbChannelsReport', 5, ...
    'ShowDiffReport',   true, ...
    varargin{:});

end