function obj = basic(varargin)
% BASIC - A very generic/basic preprocessing pipeline for MEG and hdEEG


import meegpipe.node.*;
import report.plotter.plotter;
import meegpipe.node.bad_channels.*;
import misc.split_arguments;
import misc.process_arguments;
import misc.isnatural;

opt.Importer      = physioset.import.mff;
opt.OutputRate    = 250;

[thisArgs, varargin] = split_arguments(fieldnames(opt), varargin);

[~, opt] = process_arguments(opt, thisArgs);

[~, pipeName] = fileparts(mfilename('fullpath'));

myFilter = @(sr) filter.bpfilt('fp', [0.5 sr/2]/(sr/2));

crit2 = criterion.xcorr.xcorr;
crit1 = criterion.var.var;
badDataPipe = pipeline.new('NodeList', ...
    {...
    bad_channels.new('Criterion', crit1), ...
    bad_channels.new('Criterion', crit2) ...
    }, ...
    'Name', 'bad_data');


obj = pipeline.new('NodeList', {...
    physioset_import.new('Importer', opt.Importer), ...
    filter.detrend, ...
    resample.new('OutputRate', opt.OutputRate), ... 
    filter.new('Filter', myFilter), ...
    badDataPipe ...
    }, ...
    ...
    'Name', pipeName, ...
    'Save', true, ...
     varargin{:});


end
