function obj = bcg_obs(varargin)
% BCG_OBS - Removal of BCG artifacts using optimal basis sets [1]
%
%
%
% [1] Niazy et al., 2005, Removal of FMRI environment artifacts from EEG
%     data using optimal basis sets, NeuroImage.


import meegpipe.node.*;

obj  = pipeline.new('NodeList', ...
    { ...
    pipeline.basic, ...
    qrs_detect.new, ...
    obs.new, ...
    }, ...
    'Name', 'obs', ...
    'Save', true, ...
    ...
    varargin{:});


end