function format = driver2format(driver)
% DRIVER2FORMAT - Returns image file extension for a given print driver
%
%   format = driver2format(driver)
%
% Where
%
% DRIVER is a printing driver, e.g. 'epsc'
%
% FORMAT is the file extension associated with the files that such a driver
% prints, e.g. '.eps'.
%
% See also: print

% Documentation: pkg_plotter.txt
% Description: File extension for printing driver

myHash = mjava.hash;

myHash{...
    'bmp', ...
    'bmpmono', ...
    'bmp16m', ...
    'bmp', ...
    'meta', ...
    'eps', ...
    'epsc', ...
    'pdf' ...
    } = ...
    {...
    '.bmp', ...
    '.bmp', ...
    '.bmp', ...
    '.bmp', ...
    '.emf', ...
    '.eps', ...
    '.eps', ...
    '.pdf' ...
    };

format = myHash(driver);

end