function obj = io(varargin)
% IO - Constructor of input/output reports
%
% See also: plotter

import report.plotter.plotter;
import physioset.plotter.snapshots.snapshots;
import physioset.plotter.psd.psd;


snapshotPlotter = snapshots(...
    'MaxChannels',  30, ...
    'WinLength',    [10 35], ...
    'NbBadEpochs',  0, ...
    'NbGoodEpochs', 5);

lowLevelPSDPlotter = plotter.psd.psd(...
    'FrequencyRange',   [3 60], ...
    'Visible',          false, ...
    'Transparent',      true, ...
    'LogData',          false ...
    );

psdPlotter = psd(...
    'MaxChannels',  50, ...
    'WinLength',    30, ...
    'Plotter',      lowLevelPSDPlotter); %#ok<FDEPR>


obj = plotter(...
    'Plotter',  {snapshotPlotter, psdPlotter}, ...
    'Title',    'Input/output report');





end